interface

  ListViewOptions

brief

  ListView の初期化情報を格納するインターフェイスクラス

### Hierarchy

- ListViewOptions
  - ListViewConstructOptions

## Index

### Properties

- animationDuration
- baseDepth
- enableAnimation
- enableHiddenPage
- enableTransformOffset
- itemTagName
- pagePreloadCount
- pagePrepareCount
- removeItemWithTransition
- scrollMapRefreshInterval
- scrollRefreshDistance
- scrollerFactory
- useDummyInactiveScrollMap

## Properties

### Optional animationDuration

animationDuration: number

- Defined in CDP/UI/listview/Interfaces.ts:20

### Optional baseDepth

baseDepth: string

- Defined in CDP/UI/listview/Interfaces.ts:21

### Optional enableAnimation

enableAnimation: boolean

- Defined in CDP/UI/listview/Interfaces.ts:19

### Optional enableHiddenPage

enableHiddenPage: boolean

- Defined in CDP/UI/listview/Interfaces.ts:13

### Optional enableTransformOffset

enableTransformOffset: boolean

- Defined in CDP/UI/listview/Interfaces.ts:14

### Optional itemTagName

itemTagName: string

- Defined in CDP/UI/listview/Interfaces.ts:22

### Optional pagePreloadCount

pagePreloadCount: number

- Defined in CDP/UI/listview/Interfaces.ts:18

### Optional pagePrepareCount

pagePrepareCount: number

- Defined in CDP/UI/listview/Interfaces.ts:17

### Optional removeItemWithTransition

removeItemWithTransition: boolean

- Defined in CDP/UI/listview/Interfaces.ts:23

### Optional scrollMapRefreshInterval

scrollMapRefreshInterval: number

- Defined in CDP/UI/listview/Interfaces.ts:15

### Optional scrollRefreshDistance

scrollRefreshDistance: number

- Defined in CDP/UI/listview/Interfaces.ts:16

### Optional scrollerFactory

scrollerFactory: function

- Defined in CDP/UI/listview/Interfaces.ts:12

#### Type declaration

- - (element: any, options: ListViewOptions): IScroller

  - #### Parameters

    - ##### element: any

    - ##### options: ListViewOptions

    #### Returns IScroller

### Optional useDummyInactiveScrollMap

useDummyInactiveScrollMap: boolean

- Defined in CDP/UI/listview/Interfaces.ts:25

Generated using TypeDoc